## org.hibernate.envers.entities.mapper.relation
Class CommonCollectionMapperData

    java.lang.Object
      org.hibernate.envers.entities.mapper.relation.CommonCollectionMapperData

    public final class CommonCollectionMapperData

extends Object

Data that is used by all collection mappers, regardless of the type.

Constructor Summary
`CommonCollectionMapperData(AuditEntitiesConfiguration verEntCfg, String versionsMiddleEntityName, PropertyData collectionReferencingPropertyData, MiddleIdData referencingIdData, RelationQueryGenerator queryGenerator)`

Method Summary
`PropertyData` `getCollectionReferencingPropertyData()`
`RelationQueryGenerator` `getQueryGenerator()`
`MiddleIdData` `getReferencingIdData()`
`AuditEntitiesConfiguration` `getVerEntCfg()`
`String` `getVersionsMiddleEntityName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommonCollectionMapperData

    public CommonCollectionMapperData(AuditEntitiesConfiguration verEntCfg,
                                      String versionsMiddleEntityName,
                                      PropertyData collectionReferencingPropertyData,
                                      MiddleIdData referencingIdData,
                                      RelationQueryGenerator queryGenerator)

Method Detail

### getVerEntCfg

    public AuditEntitiesConfiguration getVerEntCfg()

### getVersionsMiddleEntityName

    public String getVersionsMiddleEntityName()

### getCollectionReferencingPropertyData

    public PropertyData getCollectionReferencingPropertyData()

### getReferencingIdData

    public MiddleIdData getReferencingIdData()

### getQueryGenerator

    public RelationQueryGenerator getQueryGenerator()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.